'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _materialUi = require('material-ui');

var _moreVert = require('material-ui/svg-icons/navigation/more-vert');

var _moreVert2 = _interopRequireDefault(_moreVert);

var _wrapUpdate = require('../../util/wrapUpdate');

var _wrapUpdate2 = _interopRequireDefault(_wrapUpdate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ArrayContainerItem = (0, _wrapUpdate2.default)(_class = function (_Component) {
    _inherits(ArrayContainerItem, _Component);

    function ArrayContainerItem() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, ArrayContainerItem);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ArrayContainerItem.__proto__ || Object.getPrototypeOf(ArrayContainerItem)).call.apply(_ref, [this].concat(args))), _this), _this.handleAction = function (event, child) {
            var _this$props = _this.props;
            var onAction = _this$props.onAction;
            var index = _this$props.index;

            onAction(event, child, index);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(ArrayContainerItem, [{
        key: 'render',
        value: function render() {
            var children = this.props.children;

            var iconButton = _react2.default.createElement(
                _materialUi.IconButton,
                null,
                _react2.default.createElement(_moreVert2.default, null)
            );

            return _react2.default.createElement(
                'div',
                { className: 'array-container-item' },
                _react2.default.createElement(
                    'div',
                    { className: 'row' },
                    _react2.default.createElement(
                        'div',
                        { className: 'col-xs-11' },
                        _react2.default.createElement(
                            'div',
                            { className: 'array-container-item-content' },
                            children
                        )
                    ),
                    _react2.default.createElement(
                        'div',
                        { className: 'col-xs-1' },
                        _react2.default.createElement(
                            'div',
                            { className: 'array-container-item-options' },
                            _react2.default.createElement(
                                _materialUi.IconMenu,
                                {
                                    iconButtonElement: iconButton,
                                    anchorOrigin: { horizontal: 'left', vertical: 'top' },
                                    targetOrigin: { horizontal: 'left', vertical: 'top' },
                                    onItemTouchTap: this.handleAction,
                                    useLayerForClickAway: true,
                                    animated: true
                                },
                                _react2.default.createElement(_materialUi.MenuItem, { key: 'remove', primaryText: 'Remove' }),
                                _react2.default.createElement(_materialUi.MenuItem, { key: 'move_up', primaryText: 'Move Up' }),
                                _react2.default.createElement(_materialUi.MenuItem, { key: 'move_down', primaryText: 'Move down' }),
                                _react2.default.createElement(_materialUi.MenuItem, { key: 'move_first', primaryText: 'Move first' }),
                                _react2.default.createElement(_materialUi.MenuItem, { key: 'move_last', primaryText: 'Move last' })
                            )
                        )
                    )
                )
            );
        }
    }]);

    return ArrayContainerItem;
}(_react.Component)) || _class;

ArrayContainerItem.propTypes = {
    index: _react.PropTypes.number.isRequired,
    onAction: _react.PropTypes.func.isRequired,
    children: _react.PropTypes.node
};

exports.default = ArrayContainerItem;
module.exports = exports['default'];