'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = callApi;

var _isomorphicFetch = require('isomorphic-fetch');

var _isomorphicFetch2 = _interopRequireDefault(_isomorphicFetch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function callApi(apiUrl) {
	var method = arguments.length <= 1 || arguments[1] === undefined ? 'get' : arguments[1];
	var body = arguments[2];

	return (0, _isomorphicFetch2.default)('' + apiUrl, {
		headers: { 'content-type': 'application/json' },
		method: method,
		body: JSON.stringify(body)
	});
}
module.exports = exports['default'];