'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _wrapUpdate = require('../../util/wrapUpdate');

var _wrapUpdate2 = _interopRequireDefault(_wrapUpdate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var VerticalComponent = (0, _wrapUpdate2.default)(_class = function (_Component) {
	_inherits(VerticalComponent, _Component);

	function VerticalComponent() {
		_classCallCheck(this, VerticalComponent);

		return _possibleConstructorReturn(this, (VerticalComponent.__proto__ || Object.getPrototypeOf(VerticalComponent)).apply(this, arguments));
	}

	_createClass(VerticalComponent, [{
		key: 'render',
		value: function render() {
			var _props = this.props;
			var children = _props.children;
			var size = _props.size;


			return _react2.default.createElement(
				'div',
				{ className: 'container-fluid' },
				_react2.default.createElement(
					'div',
					{ className: 'row' },
					_react2.default.createElement(
						'div',
						{ className: 'col-md-' + size },
						children
					)
				)
			);
		}
	}]);

	return VerticalComponent;
}(_react.Component)) || _class;

VerticalComponent.propTypes = {
	children: _react.PropTypes.object,
	size: _react.PropTypes.number.isRequired
};

exports.default = VerticalComponent;
module.exports = exports['default'];